<template>
  <div>
    <v-navigation-drawer
      color="tway-violet-dark"
      :mini-variant="drawer"
      v-if="desktop"
      app
      disable-resize-watcher
      :style="drawer && desktop ? 'width: 100px !important;' : ''"
    >
      <v-list-item class="px-2">
        <v-row fluid class="ma-0 py-5" justify="center">
          <v-img
            v-if="!drawer"
            :src="require('@/assets/img/Tway-logotipo-gris.png')"
            contain
            max-width="100px"
          />
          <v-img
            v-if="drawer"
            :src="require('@/assets/img/Tway-logotipo-gris-small.svg')"
            contain
            max-width="41px"
          />
        </v-row>
      </v-list-item>

      <v-list dense>
        <v-list-item
          @click="$router.push({ name: item.go })"
          v-for="item in links"
          :key="item.title"
          link
          :id="'navbar-desktop-link-' + item.id"
          :class="
            ($route.name == item.go ? 'leftbar-selected' : '') + ' link-class'
          "
        >
          <v-list-item-content>
            <v-list-item-title class="white--text nav-link-container">
              <div v-if="item.go == 'my-profile'">
                <v-img :src="require('@/assets/img/icons/menu/perfil.svg')" />
              </div>
              <div v-if="item.go == 'home'">
                <v-img :src="require('@/assets/img/icons/menu/home.svg')" />
              </div>
              <div v-if="item.go == 'my-plan'">
                <v-img :src="require('@/assets/img/icons/menu/plans.svg')" />
              </div>
              <div v-if="item.go == 'trends'">
                <v-img :src="require('@/assets/img/icons/menu/trends.svg')" />
              </div>
              <div v-if="item.go == 'dti-form'">
                <v-img :src="require('@/assets/img/icons/menu/dti.svg')" />
              </div>

              <div v-if="item.go == 'survey-imo'">
                <v-img :src="require('@/assets/img/icons/menu/dti.svg')" />
              </div>

              <div v-if="item.go == 'briefcase'">
                <v-img
                  :src="require('@/assets/img/icons/menu/briefcase.svg')"
                />
              </div>
              <div v-if="item.go == 'dashboard'">
                <v-img
                  :src="require('@/assets/img/icons/menu/dashboard.svg')"
                />
              </div>
              <div v-if="item.go == 'dashboard-imo'">
                <v-img :src="require('@/assets/img/imo/dashboard-imo.png')" />
              </div>
              <div v-if="item.go == 'my-projects'">
                <v-img :src="require('@/assets/img/icons/menu/rocket.svg')" />
              </div>
              <div v-if="item.go == 'ranking'">
                <v-img :src="require('@/assets/img/icons/menu/ranking.svg')" />
              </div>
              <div v-if="item.go == 'pmo-digital'">
                <v-img :src="require('@/assets/img/icons/menu/ranking.svg')" />
              </div>
              <div v-if="item.go == 'pmo-digital-budget'">
                <v-img :src="require('@/assets/img/icons/menu/ranking.svg')" />
              </div>
              <div v-if="item.go == 'pmo-digital-ficha'">
                <v-img :src="require('@/assets/img/icons/menu/ranking.svg')" />
              </div>
              <div v-if="item.go == 'pmo-digital-planification'">
                <v-img :src="require('@/assets/img/icons/menu/ranking.svg')" />
              </div>
              <strong
                v-if="!drawer"
                :style="
                  $route.name != item.go
                    ? 'color: #CCCCCC !important; font-size:16px;'
                    : ' font-size:16px;'
                "
                >{{ item.title }}</strong
              >
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
      <template v-if="loggedIn" v-slot:append>
        <div class="pa-2 pb-8" :class="drawer ? '' : 'px-10'">
          <v-btn
            :color="drawer ? 'tway-violet-dark' : 'white'"
            @click.stop="LogoutConfirm = true"
            class="button-text elevation-0"
            block
            rounded
            :outlined="!drawer"
            :id="logout - desktop"
          >
            <span v-if="!drawer">Cerrar Sesión</span>
            <v-img
              max-width="26px"
              v-if="drawer"
              :src="require('@/assets/img/icons/logout.svg')"
            />
          </v-btn>
        </div>
      </template>
    </v-navigation-drawer>
    <v-navigation-drawer
      v-model="drawer"
      color="tway-violet-dark"
      v-if="!desktop"
      app
      disable-resize-watcher
    >
      <v-list-item class="px-2">
        <v-row fluid class="ma-0 py-5" justify="center">
          <v-img
            :src="require('@/assets/img/Tway-logotipo-gris.png')"
            contain
            max-width="100px"
          />
        </v-row>
      </v-list-item>

      <v-list dense>
        <v-list-item
          @click="$router.push({ name: item.go })"
          v-for="item in links"
          :key="item.title"
          link
          :id="'navbar-mobile-link-' + item.id"
          :class="$route.name == item.go ? 'leftbar-selected' : ''"
        >
          <v-list-item-content>
            <v-list-item-title class="white--text nav-link-container">
              <div v-if="item.go == 'my-profile'">
                <v-img :src="require('@/assets/img/icons/menu/perfil.svg')" />
              </div>
              <div v-if="item.go == 'home'">
                <v-img :src="require('@/assets/img/icons/menu/home.svg')" />
              </div>
              <div v-if="item.go == 'my-plan'">
                <v-img :src="require('@/assets/img/icons/menu/plans.svg')" />
              </div>
              <div v-if="item.go == 'trends'">
                <v-img :src="require('@/assets/img/icons/menu/trends.svg')" />
              </div>
              <div v-if="item.go == 'dti-form'">
                <v-img :src="require('@/assets/img/icons/menu/dti.svg')" />
              </div>
              <div v-if="item.go == 'survey-imo'">
                <v-img :src="require('@/assets/img/icons/menu/dti.svg')" />
              </div>
              <div v-if="item.go == 'briefcase'">
                <v-img
                  :src="require('@/assets/img/icons/menu/briefcase.svg')"
                />
              </div>
              <div v-if="item.go == 'dashboard'">
                <v-img
                  :src="require('@/assets/img/icons/menu/dashboard.svg')"
                />
              </div>
              <div v-if="item.go == 'dashboard-imo'">
                <v-img :src="require('@/assets/img/imo/dashboard-imo.png')" />
              </div>
              <div v-if="item.go == 'my-projects'">
                <v-img :src="require('@/assets/img/icons/menu/rocket.svg')" />
              </div>
              <div v-if="item.go == 'ranking'">
                <v-img :src="require('@/assets/img/icons/menu/ranking.svg')" />
              </div>
              <strong>{{ item.title }}</strong>
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
      <template v-if="loggedIn" v-slot:append>
        <div class="pa-2 pb-8 px-10">
          <v-btn
            color="white"
            @click.stop="LogoutConfirm = true"
            class="elevation-0"
            block
            rounded
            outlined
            id="logout-mobile"
          >
            <span>Cerrar Sesión</span>
          </v-btn>
        </div>
      </template>
    </v-navigation-drawer>
    <v-dialog v-model="LogoutConfirm" max-width="500">
      <v-card
        :class="desktop ? 'pa-10' : 'p-2'"
        style="border-radius: 4px !important"
      >
        <v-card-title
          class="headline mb-3"
          :class="!desktop ? 'pt-8' : ''"
          :style="!desktop ? 'font-size: 20px !important;' : ''"
        >
          <v-row class="ma-0 pa-0" justify="center">
            <span>¿Realmente quieres salir?</span>
          </v-row>
        </v-card-title>

        <v-card-text
          class="headline tway-gray-dark--text mb-4"
          style="font-size: 18px !important"
        >
          <v-row class="ma-0 pa-0 text-center" justify="center">
            <span>
              Si sales de Tway, te redireccionaremos al inicio de sesión.
            </span>
          </v-row>
        </v-card-text>

        <v-card-actions>
          <v-spacer />
          <a
            style="font-size: 14px"
            class="button-text tway-violet--text roboto"
            v-if="desktop"
            :class="desktop ? 'mr-16' : 'mt-2 mb-4'"
            @click.stop="LogoutConfirm = false"
          >
            CANCELAR
          </a>
          <v-btn
            v-if="desktop"
            rounded
            color="button-text tway-violet"
            class="cerrar-desk white--text"
            @click="logout"
          >
            Sí, Cerrar Sesion
          </v-btn>
          <v-row v-if="!desktop" class="ma-0 pa-0" justify="center">
            <v-col cols="12">
              <v-row class="pa-0 ma-0" justify="center">
                <v-btn
                  rounded
                  color="tway-violet"
                  class="button-text white--text"
                  @click="logout"
                >
                  Sí, Volver al inicio
                </v-btn>
              </v-row>
            </v-col>
            <v-col cols="12">
              <v-row class="pa-0 ma-0" justify="center">
                <a
                  class="button-text tway-violet--text"
                  v-if="!desktop"
                  :class="desktop ? 'mr-8' : 'mt-2 mb-4'"
                  @click.stop="LogoutConfirm = false"
                >
                  CANCELAR
                </a>
              </v-row>
            </v-col>
          </v-row>
        </v-card-actions>
      </v-card>
    </v-dialog>
    <v-app-bar
      app
      elevation="0"
      color="tway-gray"
      class="px-4"
      :style="
        drawer && desktop
          ? 'padding-left: 50px !important; padding-right: 50px !important'
          : ''
      "
    >
      <v-app-bar-nav-icon color="#666666" @click.stop="drawer = !drawer" />
      <v-spacer />

      <v-menu offset-y style="z-index:auto; !important">
        <template v-slot:activator="{ attrs, on }">
          <v-btn
            icon
            v-bind="attrs"
            v-on="on"
            width="24px"
            height="24px"
            style="cursor: pointer"
            class="mr-4"
            color="#6739b6"
          >
            <v-img :src="require('@/assets/img/icons/carbon_flag.svg')" />
          </v-btn>
        </template>

        <v-card width="100%" class="elevation-0 pa-0 border-card-bottom">
          <v-row class="ma-0 pa-0">
            <v-col
              class="ma-0 px-6 pt-4"
              cols="12"
              xs="12"
              sm="12"
              md="12"
              lg="12"
              xl="12"
              justify="start"
              align="start"
              style="color: #333333"
            >
              <strong><h3>Guía de inicio rápido</h3></strong>
            </v-col>
          </v-row>
          <v-row>
            <v-list class="overflow-y-auto" style="width: 500px">
              <v-container fluid style="height: 100%" class="px-5">
                <div class="ml-4" style="font-family: Roboto Condensed">
                  Continúa con los siguientes pasos:
                </div>
                <UserSteps :card="false" />
                <v-row justify="end" class="mt-5 mr-5 mb-2">
                  <a style="color: #7319d5; font-family: Roboto Condensed"
                    ><u>Omitir lista</u></a
                  >
                </v-row>
              </v-container>
            </v-list>
          </v-row>
        </v-card>
      </v-menu>

      <v-tooltip bottom max-width="12em" :value="showHelpTooltip">
        <template v-slot:activator="{ attrs, on }">
          <v-btn
            icon
            v-bind="attrs"
            v-on="on"
            width="24px"
            height="24px"
            style="cursor: pointer"
            class="mr-4"
            color="#6739b6"
            @click="company.firstLogin = true"
          >
            <v-img
              :src="require('@/assets/img/icons/carbon_information.svg')"
            />
          </v-btn>
        </template>

        <span class="text-center"
          >Aquí puedes mirar de nuevo lo que puedes hacer en Tway</span
        >
      </v-tooltip>

      <v-menu offset-y style="z-index: 15 !important">
        <template v-slot:activator="{ attrs, on }">
          <v-btn
            icon
            v-bind="attrs"
            v-on="on"
            width="24px"
            @click="
              () => {
                newNotification = false;
              }
            "
            height="24px"
          >
            <v-img
              :src="
                newNotification
                  ? require('@/assets/img/icons/carbon_notification-new.svg')
                  : require('@/assets/img/icons/carbon_notification.svg')
              "
            />
          </v-btn>
        </template>
        <v-card width="100%" class="elevation-0 pa-0 border-card-bottom">
          <v-row class="ma-0 pa-0">
            <v-col
              class="ma-0 px-6 pt-4"
              cols="12"
              xs="12"
              sm="12"
              md="12"
              lg="12"
              xl="12"
              justify="start"
              align="start"
              style="color: #333333"
            >
              <strong>Notificaciones</strong>
            </v-col>
          </v-row>
        </v-card>
        <v-list class="max-scroll overflow-y-auto" style="max-width: 440px">
          <v-container
            fluid
            style="
              height: 100%;
              display: flex;
              align-items: center;
              flex-direction: column;
              justify-content: center;
            "
            v-if="notifications.length == 0"
          >
            <v-row
              :style="mobile ? 'width: 100%' : 'width: 440px !important;'"
              justify="center"
              class="px-10 py-0 ma-0"
            >
              <v-img
                :src="require('@/assets/img/notifications/empty.svg')"
                style="pa-0 ma-0"
                max-width="50%"
                contain
              />
            </v-row>
            <v-row
              :style="mobile ? 'width: 100%' : 'width: 440px !important;'"
              justify="center"
              class="px-10 px-0 ma-0"
            >
              <span class="notification-empty"
                >No hay notificaciones en este momento</span
              >
            </v-row>
          </v-container>
          <v-container
            fluid
            class="pa-0 ma-0 border-card-bottom"
            v-for="(notification, notificationIndex) in notifications"
            :key="notificationIndex"
          >
            <v-list-item
              :link="false"
              @click="
                () => {
                  goTo(notification.url);
                }
              "
              style="border-radius: 0px; overflow: hidden"
              class="full-card elevation-0 pa-0"
            >
              <v-row align="stretch" class="ma-0 pa-0">
                <v-col
                  style="height: 100%"
                  class="ma-0 pt-4 pr-0"
                  cols="2"
                  justify="center"
                  align="center"
                >
                  <v-img
                    v-if="
                      types.find((e) => e == notification.type.toLowerCase())
                    "
                    :src="
                      require('@/assets/img/notifications/' +
                        notification.type.toLowerCase() +
                        '.svg')
                    "
                    width="40px"
                    style="pa-0 ma-0"
                    contain
                  />
                </v-col>
                <v-col class="ma-0" cols="10" justify="start" align="start">
                  <div class="py-0">
                    <v-row
                      class="pa-0 ma-0"
                      justify="space-between"
                      align="center"
                    >
                      <v-col class="pa-0 ma-0" align-self="start">
                        <small
                          ><span
                            class="roboto"
                            style="color: #717171; max-width: 300px"
                            >{{ notification.content }}</span
                          ></small
                        >
                      </v-col>
                      <v-col class="pa-0 ma-0" cols="2" align-self="start">
                        <span class="roboto">
                          <v-row class="ma-0 pa-0" justify="end">
                            <div
                              class="pr-2"
                              style="display: flex; align-items: center"
                            >
                              <v-img
                                :src="require('@/assets/img/icons/close.svg')"
                                width="15px"
                                style="pa-0 ma-0"
                                @click="deleteNotification(notification)"
                                contain
                              />
                            </div>
                            <div
                              style="
                                width: 18px;
                                display: flex;
                                align-items: center;
                              "
                            >
                              <v-img
                                :src="
                                  notification.readed
                                    ? require('@/assets/img/icons/read.svg')
                                    : require('@/assets/img/icons/notread.svg')
                                "
                                style="pa-0 ma-0"
                                @click="changeNotification(notification)"
                                contain
                              />
                            </div>
                          </v-row>
                        </span>
                      </v-col>
                    </v-row>
                  </div>

                  <div
                    class="roboto"
                    style="
                      max-width: 300px;
                      color: #999999;
                      max-height: 100px;
                      overflow: hidden;
                    "
                  >
                    <small
                      ><span>{{ timeSince(notification.date) }}</span></small
                    >
                  </div>
                </v-col>
              </v-row>
            </v-list-item>
          </v-container>
        </v-list>
      </v-menu>
    </v-app-bar>
    <onboarding-modal
      v-if="company"
      :show="company.firstLogin"
      :type="clientType"
      @close="checkFirstLogin"
    />
  </div>
</template>

<style lang="scss" scoped>
.leftbar-selected {
  border-left: 3px solid #dde2ff !important;
  background-color: rgba(#9fa2b4, 0.1) !important;
}

.row-list {
  display: flex;
  flex-direction: column;
  background: #fff !important;
}

.max-scroll {
  height: 500px;
}

.nav-link-container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  > div {
    display: flex;
    justify-content: center;
    padding-left: 18px;
    padding-right: 18px;
    width: 60px;
    .v-responsive {
      width: 40% !important;
    }
  }
}

.border-card-bottom {
  border-bottom: 1px solid #eceff1 !important;
}

.notification-empty {
  font-style: normal;
  font-weight: normal;
  font-size: 22px;
  line-height: 30px;
  text-align: center;
  color: #999999;
}

.link-class {
  padding: 8px;
  padding-left: 15px;
  padding-right: 15px;
}

.full-card {
  width: 100% !important;
  border-radius: 0px;
  // border-radius: 15px !important;
}
.cerrar-desk {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 10px 20px;
  margin-right: 30px;

  /* Tway / Violeta */

  background: #7319d5;
  box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.5);
  border-radius: 30px;
}
</style>

<script>
import { mapActions, mapGetters } from "vuex";
import CompanyService from "@/services/companyService";
import AlertService from "@/services/alertService";
import OnboardingModal from "@/components/onboarding/OnboardingModal.vue";
import UserSteps from "@/components/UserSteps.vue";

export default {
  name: "AppHeader",
  components: {
    OnboardingModal,
    UserSteps,
  },
  props: {
    appName: {
      type: String,
      default: "",
    },
    showModal: {
      type: Boolean,
      default: false,
      required: false,
    },
  },
  data() {
    return {
      user: "614b6befbf440074ddf2aa74",
      survey: "5f3333ec86c26455b817e542",
      drawer: null,
      loggedIn: true,
      LogoutConfirm: false,
      newNotification: false,
      notifications: [],
      types: [
        "general",
        "imtd",
        "plans",
        "portfolio",
        "profile",
        "security",
        "survey",
        "trends",
      ],
      items: [
        {
          title: "Inicio",
          icon: "mdi-home-city",
          go: "home",
          type: "BOTH",
          id: "home",
        },
        {
          title: "Mi perfil",
          icon: "mdi-account",
          go: "my-profile",
          type: "BOTH",
          id: "profile",
        },
        {
          title: "Mi plan",
          icon: "mdi-bookmark",
          go: "my-plan",
          type: "BOTH",
          id: "plan",
        },
        {
          title: "Tendencias",
          icon: "mdi-newspaper-variant",
          go: "trends",
          type: "BOTH",
          id: "trends",
        },
        {
          title: "Encuesta TD",
          icon: "mdi-chart-pie",
          go: "dti-form",
          type: "BOTH",
          id: "diagnostic",
        },
        {
          title: "Encuesta IMO",
          icon: "mdi-chart-pie",
          go: "survey-imo",
          type: "BOTH",
          id: "diagnostic",
        },

        {
          title: "Mi Portafolio",
          icon: "mdi-file-check",
          go: "briefcase",
          type: "SPECIALIST",
          id: "portfolio",
        },
        {
          title: "Dashboard TD",
          icon: "mdi-file-check",
          go: "dashboard",
          type: "BOTH",
          id: "dashboard",
        },
        {
          title: "Dashboard IMO",
          icon: "mdi-file-check",
          go: "dashboard-imo",
          type: "BOTH",
          id: "dashboard-imo",
        },
        {
          title: "Mis Proyectos",
          icon: "mdi-paperclip",
          go: "my-projects",
          type: "BOTH",
          id: "proyect",
        },
        {
          title: "Ranking",
          icon: "mdi-file-check",
          go: "ranking",
          type: "CLIENT",
          id: "ranking",
        },
        {
          title: "PMO Digital",
          icon: "mdi-file-check",
          go: "pmo-digital",
          type: "BOTH",
          id: "pmo-digital",
        },
        {
          title: "Ficha",
          icon: "mdi-paperclip",
          go: "pmo-digital-ficha",
          type: "BOTH",
          id: "pmo-digital-ficha",
        },
        {
          title: "Planificación",
          icon: "mdi-android",
          go: "pmo-digital-planification",
          type: "BOTH",
          id: "pmo-digital-planification",
        },
        {
          title: "Presupuesto",
          icon: "dashboard-imo",
          go: "pmo-digital-budget",
          type: "BOTH",
          id: "pmo-digital-budget",
        },
        {
          title: "Riesgo",
          icon: "dashboard-imo",
          go: "pmo-digital-risk",
          type: "BOTH",
          id: "pmo-digital-risk",
        },
        {
          title: "Objetivos",
          icon: "dashboard-imo",
          go: "pmo-digital-objectives",
          type: "BOTH",
          id: "pmo-digital-objectives",
        },
        {
          title: "Satisfacción",
          icon: "dashboard-imo",
          go: "pmo-digital-kpibusiness",
          type: "BOTH",
          id: "pmo-digital-kpibusiness",
        },
        {
          title: "Agilidad",
          icon: "dashboard-imo",
          go: "pmo-digital-organizational-agility",
          type: "BOTH",
          id: "pmo-digital-organizational-agility",
        },
        {
          title: "Compromiso",
          icon: "dashboard-imo",
          go: "pmo-digital-engagement",
          type: "BOTH",
          id: "pmo-digital-engagement",
        },
      ],
      clientType: "",
      company: null,
      showHelpTooltip: false,
    };
  },
  created() {
    this.getCompany();
    this.$log.debug("AuthStore", this.isAuth, this.Auth);

    if (this.isAuth) {
      AlertService.getNotifications()
        .then((response) => {
          this.notifications = response;
        })
        .catch((err) => console.log(err));
      setInterval(() => {
        this.$log.debug("AuthStore", this.isAuth, this.Auth);

        if (this.isAuth) {
          AlertService.getNotifications()
            .then((response) => {
              if (response.length > this.notifications.length) {
                this.newNotification = true;
              }
              this.notifications = response;
            })
            .catch((err) => console.log(err));
        }
      }, 30000);
    }
  },
  methods: {
    timeSince(date) {
      var timeStamp = Date.parse(date);
      var now = new Date(),
        secondsPast = (now.getTime() - timeStamp) / 1000;
      if (secondsPast < 60) {
        return (
          "Hace " +
          parseInt(secondsPast) +
          (parseInt(secondsPast) == 1 ? " segundo !" : " segundos !")
        );
      }
      if (secondsPast < 3600) {
        return (
          "Hace " +
          parseInt(secondsPast / 60) +
          (parseInt(secondsPast / 60) == 1 ? " minuto !" : " minutos !")
        );
      }
      if (secondsPast <= 86400) {
        return (
          "Hace " +
          parseInt(secondsPast / 3600) +
          (parseInt(secondsPast / 3600) == 1 ? " hora !" : " horas !")
        );
      }
      if (secondsPast > 86400) {
        var day = new Date(timeStamp).getDate();
        var month = new Date(timeStamp).toLocaleDateString("es-ES", {
          month: "short",
        });
        var year =
          new Date(timeStamp).getFullYear() == now.getFullYear()
            ? ""
            : " " + new Date(timeStamp).getFullYear();
        return day + " " + month + year;
      }
    },
    goTo(url) {
      if (url) {
        window.location.href = url;
      }
    },
    changeNotification(noti) {
      AlertService.readNotification(noti.id)
        .then(() => {
          console.log("changed: " + noti.id);
          this.notifications = this.notifications.map((n) => {
            if (n.id == noti.id) {
              n.readed = !n.readed;
            }
            return n;
          });
        })
        .catch((err) => console.log(err));
    },
    deleteNotification(noti) {
      AlertService.deleteNotification(noti.id)
        .then(() => {
          console.log("deleted: " + noti.id);
          this.notifications = this.notifications.filter(
            (n) => n.id != noti.id
          );
        })
        .catch((err) => console.log(err));
    },
    ...mapActions("authentication", ["doLogout"]),
    logout() {
      this.doLogout()
        .then(() => this.$router.push({ name: "login" }))
        .catch((err) => this.$log.error("Unexpected error: ", err));
    },
    getCompany() {
      CompanyService.getCompanyProfile()
        .then((company) => {
          this.clientType = this._.get(company, "type");
          this.company = company;
        })
        .catch((err) => console.log(err));
    },
    checkFirstLogin() {
      this.company.firstLogin = false;
      this.showHelpTooltip = true;
      let companyPOST = {
        ...this.company,
        industrialSector: this.company.industrialSector
          ? this.company.industrialSector.name
          : null,
        industrialSectors: this.company.industrialSectors
          ? this.company.industrialSectors.map((is) => is.name)
          : null,
        dimensions: this.company.dimensions
          ? this.company.dimensions.map((d) => d.name)
          : null,
      };
      CompanyService.updateCompanyProfile(companyPOST).catch((err) =>
        this.$log.error(err)
      );
      setTimeout(() => {
        this.showHelpTooltip = false;
      }, 6000);
    },
  },
  computed: {
    ...mapGetters("authentication", ["isAuth", "Auth"]),
    mobile() {
      return this.$vuetify.breakpoint.sm || this.$vuetify.breakpoint.xs;
    },
    desktop() {
      return this.$vuetify.breakpoint.lg || this.$vuetify.breakpoint.xl;
    },
    links() {
      return this.clientType == "CLIENT"
        ? this.items.filter((i) => i.type == "CLIENT" || i.type == "BOTH")
        : this.items.filter((i) => i.type == "SPECIALIST" || i.type == "BOTH");
    },
  },
  watch: {
    desktop() {
      if (this.desktop) {
        this.drawer = null;
      }
    },
    drawer() {
      this.$emit("update", this.drawer);
    },
    clientType() {
      console.log(this.clientType);
    },
    showModal() {
      if (this.showModal) {
        this.LogoutConfirm = true;
      }
    },
  },
};
</script>
